# $Revision: 1.16 $, $Date: 2008/12/04 18:16:27 $
%define		tar_name	gtkglarea
Summary:	GtkGLArea OpenGL widget for GTK+
Summary(pl.UTF-8):	GtkGLArea - kontrolka GTK+ do prezentacji obiektów OpenGL
Summary(pt_BR.UTF-8):	Um widget OpenGL para a biblioteca GUI GTK+
Summary(ru.UTF-8):	GtkGLArea - это OpenGL виджет для GTK+
Summary(uk.UTF-8):	GtkGLArea - це OpenGL віджет для GTK+
Summary(wa.UTF-8):	GtkGLArea est on ahesse pol toolkit grafike GTK+
Name:		gtkglarea1
Version:	1.2.3
Release:	9
License:	LGPL
Group:		X11/Libraries
Source0:	http://gliv.tuxfamily.org/%{tar_name}-%{version}.tar.gz
# Source0-md5:	31061342e2da718dad549b01e795bb7a
Patch0:		%{name}-m4_fix.patch
URL:		http://www.student.oulu.fi/~jlof/gtkglarea/
BuildRequires:	OpenGL-devel
BuildRequires:	automake
BuildRequires:	gtk+-devel => 1.2.0
Requires:	OpenGL
Obsoletes:	gtkglarea < 1.99
Obsoletes:	libgtkglarea5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
# not added yet because of rpm and poldek problems
#Provides:	gtkglarea = %{version}

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_datadir	/usr/share

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of
gdkgl which is basically wrapper around GLX functions. The widget
itself is derived from GtkDrawinigArea widget and adds only few extra
functions.

%description -l pl.UTF-8
Podobnie jak GTK+ jest zbudowane na GDK, tak i GtkGLArea powstało na
bazie gdkgl, który jest wrapperem funkcji GLX. Sam widget pochodzi od
GtkDrawingArea i posiada jedynie kilka dodatkowych funkcji.

%description -l pt_BR.UTF-8
GtkGLArea é um OpenGL widget para GTK+ (the Gimp ToolKit), uma
biblioteca GUI. GtkGLArea é construída em cima do gdkgl. Gdkgl é
basicamente um wrapper de funções GLX. GtkGLArea widget é derivado do
widget GtkDrawingArea e adiciona somente algumas funções.

%description -l ru.UTF-8
Так же как GTK+ строится поверх GDK, GtkGLArea построена поверх gdkgl,
которая по сути есть оберткой вокруг функций GLX. Сам виджет очень
похож на виджет GtkDrawinigArea и добавляет только три новые функции.

%description -l uk.UTF-8
Так само, як GTK+ будується поверх GDK, GtkGLArea побудована поверх
gdkgl, яка по суті є обгорткою навкруг функцій GLX. Сам віджет дуже
схожий на віджет GtkDrawinigArea та додає лише три нові функції.

%package devel
Summary:	GtkGLArea OpenGL widget for GTK+ - development libs and headers
Summary(pl.UTF-8):	Pliki nagłówkowe GtkGLArea
Summary(pt_BR.UTF-8):	Arquivos de inclusão para desenvolvimento de aplicações que usem a biblioteca GtkGLArea
Summary(ru.UTF-8):	GtkGLArea - файлы для разработки программ
Summary(uk.UTF-8):	GtkGLArea - файли для розробки програм
Summary(wa.UTF-8):	GtkGLArea est on ahesse po GTK+ - fitchîs *.h èt statikès lîvreyes
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel
Requires:	gtk+-devel => 1.2.0
#Provides:	gtkglarea-devel = %{version}
Obsoletes:	gtkglarea-devel < 1.99
Obsoletes:	libgtkglarea5-devel

%description devel
Header files for development using the GtkGLArea widget.

%description devel -l pl.UTF-8
Pliki nagłówkowe do budowania programów używających widgetu GtkGLArea.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
que usem a biblioteca GtkGLArea.

%description devel -l ru.UTF-8
Файлы для разработки программ с использованием GtkGLArea.

%description devel -l uk.UTF-8
Файли для розробки програм з використанням GtkGLArea.

%description devel -l wa.UTF-8
Ci paket chal a dvins les fitchîs *.h eyèt les statikès lîvreyes k' i
gn a mezåjhe po fé des porogrames avou les foncsions di GtkGLArea.

%package static
Summary:	GtkGLArea static libraries
Summary(pl.UTF-8):	Statyczne biblioteki GtkGLArea
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento de aplicações que usem a biblioteca GtkGLArea
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
#Provides:	gtkglarea-static = %{version}
Obsoletes:	gtkglarea-static < 1.99

%description static
GtkGLArea (OpenGL for GTK+) static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki GtkGLArea (OpenGL dla GTK+).

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de aplicações que usem a
biblioteca GtkGLArea.

%prep
%setup -q -n gtkglarea-%{version}
%patch0 -p1

%build
cp /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog docs/HOWTO.txt docs/gdkgl.txt docs/gtkglarea.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/gtkgl
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkglarea1.spec,v $
Revision 1.16  2008/12/04 18:16:27  hawk
- release 9

Revision 1.15  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.13  2006/09/28 22:45:47  glen
- strict internal deps

Revision 1.12  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.11  2003/12/28 16:47:53  qboosh
- added fix for underquotation to m4_fix patch, fixed Groups, release 8

Revision 1.10  2003/12/27 17:07:01  jajcus
- copy config.sub from automake

Revision 1.9  2003/11/11 02:31:00  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.8  2003/05/28 12:59:02  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:48:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/20 20:31:03  qboosh
- fixed build, added Obsoletes (Provides not yet - rpm+poldek problems)

Revision 1.5  2003/01/18 22:50:08  juandon
- removed two lines with define

Revision 1.4  2003/01/07 13:40:49  qboosh
- working Source0 URL (from gliv homepage)

Revision 1.3  2003/01/07 13:29:49  ankry
- fixed tar & patch names
  NOTE: URL is outdated

Revision 1.2  2003/01/07 12:02:53  qboosh
- updated Name, new %doc

Revision 1.1  2003/01/07 12:00:47  qboosh
- raw, last version of gtkglarea.spec for gtk+ 1.2 - still needed

Revision 1.31  2002/07/03 20:20:48  mmazur
- a typo in the m4 file
- STBR and upgrade the devel package on builders

Revision 1.30  2002/05/07 14:26:06  qboosh
- fixed typo in pl summary, added missing -devel pl summary; release 6

Revision 1.29  2002/05/01 21:30:42  kloczek
- release 5.

Revision 1.28  2002/05/01 16:20:41  kloczek
- merge translations from KSI.

Revision 1.27  2002/05/01 13:36:37  kloczek
- release 4,
- added pl Summary and merge translations from Conectiva.

Revision 1.26  2002/04/25 16:31:13  arturs
- fixed a small typo

Revision 1.25  2002/03/25 09:10:10  mis
- fixed file list; rel 4

Revision 1.24  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/20 00:09:53  kloczek
- relase 3: libgtkglarea5{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.22  2002/01/18 02:13:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/20 14:22:03  kloczek
- release 2.

Revision 1.20  2001/10/17 20:40:55  qboosh
- removed rebuilding auto* - not necessary now
- fixed descriptions, added the rest of pl ones

Revision 1.19  2001/10/17 07:53:39  kloczek
- updated to 1.2.3.

Revision 1.18  2001/08/13 17:37:23  kloczek
- added automake to BuildRequires and regenerate am files.

Revision 1.17  2001/08/12 11:07:33  blues
- Release 8
- ac 2.5 ready (added buildrequires)
- adapterized

Revision 1.16  2001/05/29 00:00:28  kloczek
- release 7: do not strip binaries in %install.

Revision 1.15  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.14  2000/06/09 16:57:12  kloczek
- release 2,
- recompiled against XFree86 4.0 OpenGL libraries,
- spec adapterized.

Revision 1.13  2000/06/09 07:54:42  kloczek
- more %{__make} macros.

Revision 1.12  2000/06/09 07:22:57  kloczek
- added using %{__make} macro.

Revision 1.11  2000/04/20 06:36:22  cieciwa
- fixed Requires: OpenGL-devel.

Revision 1.10  2000/04/19 11:33:19  cieciwa
- changes BuildRequires: from Mesa-devel to OpenGL-devel.

Revision 1.9  2000/04/04 07:30:15  arturs
- added %description -l pl

Revision 1.8  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.6  2000/02/28 07:41:05  kloczek
- updated to 1.2.2.

Revision 1.5  2000/01/16 23:43:59  kloczek
- release 2,
- adapter(ized).

Revision 1.4  1999/12/09 05:12:42  kloczek
- wa translations from MDK.

Revision 1.3  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.2  1999/07/13 21:58:36  kloczek
- rewrited for PLD.
